# ViewProperties (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.explore

## Class ViewProperties

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.ViewProperties

- All Implemented Interfaces:
    IView

      public class ViewProperties
      extends java.lang.Object
      implements IView

  This view displays properties about the currently selected transformation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewProperties(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes the view.
    `void` | `reset()` Resets the view.
    `void` | `update(ModelEvent event)` Updates the view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewProperties

          public ViewProperties(org.eclipse.swt.widgets.Composite parent,
                        Controller controller)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from interface: `IView`
      Disposes the view.
      Specified by:
        `dispose` in interface `IView`

    - #### reset

          public void reset()

      Description copied from interface: `IView`
      Resets the view.
      Specified by:
        `reset` in interface `IView`

    - #### update

          public void update(ModelEvent event)

      Description copied from interface: `IView`
      Updates the view.
      Specified by:
        `update` in interface `IView`